#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './soundcfg.ui'
**
** Created: Tue Jan 10 16:41:21 2006
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.5   edited Aug 31 12:13 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "soundcfg.h"

#include <qvariant.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a soundcfg as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
soundcfg::soundcfg( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "soundcfg" );
    setEnabled( TRUE );
    setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)3, 0, 0, sizePolicy().hasHeightForWidth() ) );
    soundcfgLayout = new QHBoxLayout( this, 0, 0, "soundcfgLayout"); 

    path = new QLineEdit( this, "path" );
    path->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)0, 0, 0, path->sizePolicy().hasHeightForWidth() ) );
    soundcfgLayout->addWidget( path );

    pathButton = new QPushButton( this, "pathButton" );
    pathButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, pathButton->sizePolicy().hasHeightForWidth() ) );
    pathButton->setMaximumSize( QSize( 34, 34 ) );
    soundcfgLayout->addWidget( pathButton );

    playButton = new QPushButton( this, "playButton" );
    playButton->setEnabled( FALSE );
    playButton->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)1, 0, 0, playButton->sizePolicy().hasHeightForWidth() ) );
    playButton->setMaximumSize( QSize( 34, 34 ) );
    soundcfgLayout->addWidget( playButton );
    languageChange();
    resize( QSize(210, 32).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
soundcfg::~soundcfg()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void soundcfg::languageChange()
{
    setCaption( tr2i18n( "soundCfg" ) );
    QToolTip::add( path, tr2i18n( "path for the soundfile" ) );
    QWhatsThis::add( path, tr2i18n( "enter here the path for the sound to play" ) );
    pathButton->setText( tr2i18n( "..." ) );
    QToolTip::add( pathButton, tr2i18n( "click here to chose a soundfile" ) );
    QWhatsThis::add( pathButton, tr2i18n( "if you click here it will\\nopen a file dialog where you are able to chose a sound file" ) );
    playButton->setText( tr2i18n( ">" ) );
    QToolTip::add( playButton, tr2i18n( "play the sound" ) );
    QWhatsThis::add( playButton, tr2i18n( "if you click here, and your system is working well.\\nYou are able to here the chosen sound" ) );
}

#include "soundcfg.moc"
