/***************************************************************************
                          ksoundcfg.h  -  description
                             -------------------
    begin                : Don Mai 23 2002
    copyright            : (C) 2002 by Dieter Landolt
    email                : dieter.landolt@secs.ch
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KSOUNDCFG_H
#define KSOUNDCFG_H

#include <qwidget.h>
#include "soundcfg.h"

/**
  *@author Dieter Landolt
  */
class ksoundCfg : public soundcfg  {
   Q_OBJECT
public: 
	ksoundCfg(QWidget *parent=0, const char* name=0, WFlags fl = 0);
	~ksoundCfg();
  /** get the text back. */
  QString text();
  /** Set the text in the object. */
  void setText(const QString& s);
public slots: // Public slots
  /** To Display the select Dialog if the Button is clicked. */
  void pathButtonclicked();
  /** plays the sound for listening it */
  void playButtonclicked();
  /** Notify internaly, when the path wille be changed, to enable the playbutton, if the sound is valid, else disable soundbutton. */
  void pathChanged(const QString& newpath);
signals: // Signals
  /** signals it a new path is entred */
  void newPath(QString path);
};

#endif
